Module | RSS::RootElementMixin
In: | rss/rss.rb

### Methods

new output_encoding= setup_maker

### Included Modules

XMLStyleSheetMixin

### Attributes

output_encoding | [R] |

### Public Class methods

new(rss_version, version=nil, encoding=nil, standalone=nil)

[Source]

    # File rss/rss.rb, line 853
        def initialize(rss_version, version=nil, encoding=nil, standalone=nil)
          super()
          @rss_version = rss_version
          @version = version || '1.0'
          @encoding = encoding
          @standalone = standalone
          @output_encoding = nil
        end

### Public Instance methods

output_encoding=(enc)

[Source]

    # File rss/rss.rb, line 862
        def output_encoding=(enc)
          @output_encoding = enc
          self.converter = Converter.new(@output_encoding, @encoding)
        end

setup_maker(maker)

[Source]

    # File rss/rss.rb, line 867
        def setup_maker(maker)
          maker.version = version
          maker.encoding = encoding
          maker.standalone = standalone

          xml_stylesheets.each do |xss|
            xss.setup_maker(maker)
          end

          setup_maker_elements(maker)
        end

[Validate]